%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% compareWord(word1,word2)
% 
%   Return 1 if the eigenvalue associated with word1 is greater than
%   that associated with word2, -1 if the opposite is true, and 0 if
%   they are equal. Note length(word1) == length(word2).
%
%   See also sequences.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = compareWord(word1,word2)

n = length(word1);

% 4/3 > 0
if n == 1
  answer = sign(word1-word2);
  return;
end

% whichever has last digit 0 is greater
if word1(n) == 0 && word2(n) ~= 0
  answer = 1;
  return;
elseif word2(n) == 0 && word1(n) ~= 0
  answer = -1;
  return;
else
  % otherwise check if last digits are the same
  d = sign(word1(n) - word2(n));
  if d ~= 0
    answer = d;
    return;
  else
    % if they are the same, compare the rest of the words
    % if last digit is odd, order is preserved
    % if last digit is even, order is reversed
    if mod(word1(n),2) == 1
      answer = compareWord(word1(1:n-1),word2(1:n-1));
      return;
    else
      answer = -compareWord(word1(1:n-1),word2(1:n-1));
      return;
    end
  end
end
