%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% path = word2path(word)
% 
%   Return the path corresponding to word, in the sense that under the
%   assingments
% 
%     [paths words] = sequences(m)
%     path = paths(:,j)
%     word = words(:,j)
% 
%   we have
% 
%     path == word2path(word)
% 
%   You MUST have run rPoly(n,'save') before using this program.
% 
%   See also word2fun, path2fun
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function path = word2path(word)

if min(size(word)) == 1
  % just got one word
  len = length(word);
  path = zeros(len,1);
  path(1) = word(1);
  for j = 2:len
    w = word(j);
    if w ~= 0
      path(j) = continueEigval(path(j-1),w);
    else
      path(j) = path(j-1);
    end
  end
else
  % got an array of words
  len1 = size(word,1);
  len2 = size(word,2);
  path = zeros(len1,len2);
  for k = 1:len2
    path(:,k) = word2path(word(:,k));
  end
end


