import sys
from os import system, listdir, chdir

def header(title):
  return """
  <?xml version="1.0" encoding="utf-8"?>
  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
  "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
  <head>
  <title> %s </title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta name="Generator" content="gThumb Image Viewer" />
  <link href="layout.css" rel="stylesheet" type="text/css" />
  <link href="style.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
  """ % title

def navigation(title,parent_name):
  return """
    <div class="link">
      <a href="../../index.html"> home </a> > 
      <a href="../index.html"> %s </a> >
      %s
    </div>
    """ % (parent_name,title)

def thumbnail_start():
  return """
  <div class="thumbnails">
  <table class="thumbnails" summary="thumbnails">
  """


def thumbnail(name):
  return """ 
  <td class="td_index">
  <table class="photo" summary="photo" align="center">
  <tr>
  <td class="photo">
  <a href="%s.html">
  <img src="%s.small.png" alt="%s.png.small.png" 
  class="photo_center" /></a>
  </td>
  </tr>
  </table>
  <span class="comment">
  </span><br />
  <span class="property_value file_name">%s</span><br />
  </td>
  """ % (name,name,name,name)

def footer():
  return """
  </table>
  </div>
  </body>
  </html>
  """

def image_page(title,previous,next,current):
  return """
  <?xml version="1.0" encoding="utf-8"?>
  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
  "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
  <head>
  <title> %s </title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta name="Generator" content="gThumb Image Viewer" />
  <link href="layout.css" rel="stylesheet" type="text/css" />
  <link href="style.css" rel="stylesheet" type="text/css" />
  </head>
  <body>

    <!-- Header -->
    <div class="title"> %s </div>

    <!-- Navigation Bar -->
    <div class="nav_bar">
    <span class="link">
    <a href="%s.html"> Previous</a>
    </span>

    <span class="link">
    <a href="%s.html"> Next</a>
    </span>

      <span class="link">
      <a href="index.html">
      Index</a>
      </span>
      </div>

    <!-- Image preview -->
    <div class="preview">
    <a href="%s">
    <img src="%s.medium.png" alt="%s.medium.png" class="preview" /></a>
    </div>

  <!-- Comment and Exif data -->
  <div class="properties">

  <div class="preview_comment">
  <span class="comment">
  </span><br />
  </div>

  <table class="properties" summary="image properties">
  <tr>
  <td><span class="property">Image</span></td>
  <td><span class="property_value file_name">%s</span></td>
  </tr>
  </table>
  </div>

    <!-- Footer -->
    <div class="copyright">
    </div>

  </body>
  </html>
  """ % (title,title,previous,next,current,current,current,current)

def new_row():
  return """
  </tr>
  <tr class="tr_index">
  """

def layout():
  return """
  /* Gthumb "Wiki" layout */

    div.properties {
      margin-top: 1em;
      margin-left: 10px;
      text-align: justify;
    }

    table.properties {
      margin: 0px;
      padding: 0px;
    }

    table.thumbnails {
      border-spacing: 20px;
    }

    tr.tr_index {
      text-align: center;
      vertical-align: top;
    }

    td.td_index {
      width: 165px;
      text-align: center;
      vertical-align: top;
    }

    table.photo {
      width: 165px;
      padding-bottom: 10px;
    }

    td.photo {
      text-align: center;
      vertical-align: middle;
      height: 165px;
    }

    div.nav_bar {
      padding: 5px 0px 10px 0px;
      font-size: 9pt;
    }

    td.nav_button_preview, td.nav_button_up {
      width: 50px; 
      height: 50px; 
      padding: 0px;
      text-align: center;
      vertical-align: center;
    }

    div.copyright {
      padding-top: 25px;
      padding-left: 10px;
    }

    div.comment {
      text-align: left;
    }

    div.preview_comment {
      padding-bottom: 15px;
      width: 500px;
    }

    td.title {
      text-align: center;
    }

    div.title {
      font-size: 12pt;
      font-weight: bold;
      margin-left: 10px;
      margin-bottom: 5px;
    }

    span.page_index {
      font-size: 9pt;
      padding-left: 5px;
      padding-right: 5px;
    }

    img.thumbnail {
      border: 0px;
    }

    div.preview {
      padding-left: 10px;
    }
    """

def style():
  return """
  /* Gthumb "Wiki" style */

    body {
      background: white;
    }

    td.photo {
      border: 1px solid #ccc;
    }

    table.nav_button {
      border: 0px outset #bbb;
    }

    div.copyright {
      font-size: 8pt;
      color: #888;
    }

    img.photo_center {
      border: 1px solid #ccc;
    }

    img.preview {
      border: 1px solid #ccc;
    }

    .comment, .property, .property_value {
      font-size: 9pt;
    }

    .property_value file_name {
      font-family: monospace;
    }

    .property {
      font-weight: bold;
    }

    .comment, .property_value {
      font-size: 9pt;
    }
    
    .comment {
      font-style: italic;
    }

    div.title {
      color: #000;
    }

    span.page_index {
      color: #000;
    }

    /* links */

    a:link { 
      color: #0000FF;
      text-decoration: none;
    }

    a:visited { 
      color: #0000FF;
      text-decoration: none;
    }

    a:hover {
      color: #0000FF;
      text-decoration: underline;
    }

    span.nolink {
      color: #AAA;
    }

    span.link {
      padding: 10px;;
    }
    """

title       = sys.argv[1]
parent_name = sys.argv[2]
dir         = sys.argv[3]

chdir(dir)
system('rm *medium* *small* *.css* *.html *.pdf .*')
files = listdir('.')
files.sort()

open('style.css','w').write(style())
open('layout.css','w').write(layout())
index = open('index.html','w')
index.write(header(title))
index.write(navigation(title,parent_name))
index.write(thumbnail_start())

for i,file in enumerate(files):
  print title, file
  if 'png' not in file: print 'ERROR: non-png file in folder!'
  next = files[(i+1) % len(files)]
  previous = files[(i-1) % len(files)]
  
  if i % 4 == 0 and i != 0:
    index.write(new_row())
  
  open(file + '.html','w').write(image_page(title,previous,next,file))
  index.write(thumbnail(file))

  system('convert -thumbnail 140 %s %s.small.png' % (file,file))
  system('convert -thumbnail 500 %s %s.medium.png' % (file,file))
  system('convert %s.medium.png %s.pdf' % (file,file))
  
index.write(footer())
index.flush()
index.close()

system('pdftk *.pdf cat output temp.pdf')
system('pdfnup --nup 3x4 --paper letter --outfile output.pdf temp.pdf')
system('rm temp.pdf *png*.pdf')
