%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% y = array2num(x) is the 32-bit integer whose digits in base 5 are the
% elements of x. 
%
% Example: 
%   
%   array2num([3 1])   == 16
%   array2num([1 2 3]) == 38
%
% If you need to call this a bunch of times (which we do not), then you'll
% probably want to make the variable powers global and define it ahead of
% time.
%
%   powers = uint32(5^(len:-1:0));
%
% where len is the length of x (otherwise, this assignment will be made
% every time the function is called).
%
% See also num2array.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = array2num(x)

powers = uint32(5.^(length(x):-1:0));
answer = sum(x.*powers);
