%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% num2array(x,m)
% 
%   Return an array of length m whose interpretation in base 5 is x. Note
%   that, since representation of points in V_m have m+1 digits, you'll
%   typically be calling num2array(x,m+1).
% 
%   Example:
% 
%     num2array(27,3) == [1 0 2]
%
%   See also array2num.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = num2array(x,m)
% dec2base(x,5,m) converts x into it's string representation as a number
% base 5, padding with 0's so that we have m elements. The rest of the line
% just converts this string into an array whose digits correspond to the 
% characters in the string.
answer = uint32(dec2base(double(x),5,m))-48;
