%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plotCellArray(fun,array,nCols,nRows)
%
%  Like plotArray, but takes in 2D cell arrays instead. Useful for
%  plotting commands that just take a few paramenters instead of words
%  or function values.
%  
%  See also plotArray, plotWord, plotWordDiag
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
function plotCellArray(fun,array,nCols,nRows,filename,varargin)

nPlots = nCols*nRows;  % number of plots per figure
len = length(array);   % number of elements in our cell array

% if we got a filename
if nargin == 5
  save_plots = 1;
else
  save_plots = 0;
end

pages = floor((len-1)/nPlots)+1;
for page = 1:pages
  figure;
%   set(gcf,'PaperPositionMode','auto');
%   set(gcf,'Position',[1,1,1000,800]);
  if page == pages
    last_plot = mod(len-1,nPlots)+1;
  else
    last_plot = nPlots;
  end
  for j=1:last_plot
    subplot(nCols,nRows,j);
    index = (page-1)*nPlots+j;
    input = array{index};
    fun(input{:},varargin{:});
  end
  if save_plots
    saveas(gcf,[filename num2str(page,2) '.pdf']);
  end
end

