%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plotDiag(f,m)
% 
%   Plot the values of the function f on the diagonal of V_m
%
%   See also plotFun, diagonal
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function p = plotDiag(f,m)

% if we're not given m, pick biggest possible m
if nargin == 1
  m = len2level(length(f));
end

len = 3*5^m+1;
f = f(1:len);    % we only need f up to level m
d = diagonal(m); % we only need diagonal values
len = length(d);
p = plot(1:len,f(d),'LineWidth',2);
set(gca,'XTick',linspace(1,len,10));
set(gca,'XTickLabel',[]);
xlim([0,len]);
grid();

