%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plotFun(f,m)
% 
%   Plot f as a function on V_m. Pass extra arguments to scatter3.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function p = plotFun(f,varargin)

extra = ~isempty(varargin);                    % whether we got extra args

if extra && isscalar(varargin{1})              % if we've been given m
  m = varargin{1};                             % use it
  if length(varargin) == 1
    extras = {};
  else
    extras = varargin{2:length(varargin)};     % feed the rest to scatter 3
  end
else                                           % otherwise
  m = len2level(length(f));                    % figure out best m
  if extra                                     % pass everything else
    extras = varargin{:};                      
  else
    extras = {};
  end
end

if ismember('subplot',extras)
  width = 5;
else
  width = 15;
end

global masterX;
global masterY;
X = masterX{m+1};
Y = masterY{m+1};
g = f(1:3*5^m+1);
p=scatter3(X, Y, g, width, g, 'filled');
set(gca,'XTick',linspace(-.5,.5,10));
set(gca,'YTick',linspace(-.5,.5,10));
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
if ~ismember('subplot',extras)
  set(gcf,'position',[1,1,500,500]);
  set(gcf,'paperpositionmode','auto');
end
colormap(jet);
