%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plotFun2D(f,m)
% 
%   Like plotfun, but just use a colored scatter plot (instead of a 3d scatter
%   plot)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function p = plotFun(f,varargin)

extra = ~isempty(varargin);                    % whether we got extra args

if extra && isscalar(varargin{1})              % if we've been given m
  m = varargin{1};                             % use it
  if length(varargin) == 1
    extras = {};
  else
    extras = varargin{2:length(varargin)};     % feed the rest to scatter 3
  end
else                                           % otherwise
  m = len2level(length(f));                    % figure out best m
  if extra                                     % pass everything else
    extras = varargin{:};                      
  else
    extras = {};
  end
end
disp(extras);

global masterX;
global masterY;
X = masterX{m+1};
Y = masterY{m+1};
g = f(1:3*5^m+1);
p=scatter(X, Y, 8, g, 'linewidth', 2, extras{:});
set(gca,'XTick',linspace(-.5,.5,10));
set(gca,'YTick',linspace(-.5,.5,10));
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
set(gcf,'Position',[1,1,600,500]);
set(gcf,'PaperPositionMode','auto');
grid;
colormap(jet);
colorbar;
