%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plotFun3D(f)
% 
% 	Like plotFun, but uses colored quadrilaterals instead of points.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function p = plotFun3D(f,varargin)

extra = ~isempty(varargin);                    % whether we got extra args

if extra && isscalar(varargin{1})              % if we've been given m
  m = varargin{1};                             % use it
  if length(varargin) == 1
    extras = {};
  else
    extras = varargin{2:length(varargin)};     % feed the rest to scatter 3
  end
else                                           % otherwise
  m = len2level(length(f));                    % figure out best m
  if extra                                     % pass everything else
    extras = varargin{:};                      
  else
    extras = {};
  end
end

global masterX;
global masterY;
global masterInv;
X     = masterX{m+1};
Y     = masterY{m+1};
inv   = masterInv{m+1};

% these are the boundaries of the cells
cells = 0:5^(m)-1;
boundary = [inv(5*cells+1)';
            inv(5*cells+2)';
            inv(5*cells+3)';
            inv(5*cells+4)'];

b = boundary';
trisurf(b,X,Y,f,f,'lineWidth',1);

set(gca,'XTick',linspace(-.5,.5,10));
set(gca,'YTick',linspace(-.5,.5,10));
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
if ~ismember('subplot',extras)
  set(gcf,'position',[1,1,500,500]);
  set(gcf,'paperpositionmode','auto');
end
%view([-30 60])
colormap(jet);

