%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plotFunContour(f,n)
% 
%   Like plotFun(f), but tries to make a 2d contour plot instead of a 3d
%   representation. n is the number of contours to draw.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function plotFunContour(f,n)
global masterX
global masterY

m = len2level(length(f));
X = masterX{m+1};
Y = masterY{m+1};

if nargin == 1
  n = 10;
end

a         = min(f);
b         = max(f);
delta0    = (b-a)/n * .5;
delta     = delta0;
countours = linspace(a,b,n);
len       = length(f);

hold on
for j = 1:n
  c = countours(j);
  indices = find(c-delta0 <= f & f <= c+delta0);
  while n*length(indices)/len > .3
    delta = .8*delta;
    indices = find(c-delta <= f & f <= c+delta);
  end
  scatter(X(indices),Y(indices),'filled','k');
end
hold off


