%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plotWordDiag(word,m)
% 
%   Plot the values of the function f corresponding to the "word" word on
%   the diagonal of V_m
%
%   See also plotDiag, plotFun, diagonal
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function p = plotWordDiag(word,varargin)

% if n isn't 2, we should actually be calling plotWordN
global rPoly_n
if rPoly_n ~= 2
  plotWordN(word);
  return;
end

f = word2fun(word);
d = diagonal(length(word)-1);
len = length(d);
if ismember('subplot',varargin)
  width = 1;
else
  width = 2;
end
p = plot(1:len,f(d),'LineWidth',width);
set(gca,'XTick',linspace(1,len,10));
set(gca,'XTickLabel',[]);
%set(gcf,'Position',[1,1,500,500]);
%set(gcf,'PaperPositionMode','auto');
xlim([1,len]);
title(word2name(word,'short'));
grid();

