%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ratios(vals)
% ratios(vals,n)
% 
%   Return all ratios in (1,rho] that can be made from values in vals,
%   where rho = (4*n-3)*(2*n-1) is the scaling factor for VS_n (default
%   is n = 2)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = ratios(vals,varargin)

% default to n = 2
if length(varargin) == 0
  n = 2;
else
  n = varargin{1};
end

nice = reshape(vals,1,[]);
answer = nice' * nice.^(-1);
answer = reshape(answer,[],1);
answer = answer(answer > 1 & answer <=(4*n-3)*(2*n-1));
answer = sort(answer);
