%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% heatKernelCenter(times,m)
% 
%   Return the mth level approximation of the heat kernel p(t,x,q0) on V_m
%   where q0 is the center of the Vicsek set, i.e. return h such that
% 
%     h(j,:) = heat kernel at times(j)
%     
%   See also projectionKernelCenter.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = heatKernelCenter(times,m)

[funs eigvals] = projectionKernelCenter(m);
answer = exp(-times'*eigvals)*funs;
