%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% projectionKernel(m):
% 
%   Return an array "answer" such that answer(x,y) is the sum of u(x)u(y)
%   over normalized zero-series eigenfunctions u.
% 
%   See also eigenfunctions, projectionKernelCenter
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = projectionKernel(m)

functions = eigenfunctions(m,'0-series');
[len points] = size(functions);

answer = zeros(points,points);
for j = 1:len
  f = functions(j,:);
  answer = answer + f'*f; 
end
