%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% projectionKernelCenter(m)
% 
%   Return the appropriately normalized eigenfunctions and graph
%   eigenvalues needed for heat kernel and wave propagator computations.
% 
%   See also projectionKernel, eigenfunctions.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [funs eigvals] = projectionKernelCenter(m)

% get eigenfunctions and eigenvalues
rPoly(2,'save');
[funs eigvals] = eigenfunctions(m,'0-series','fractal','quiet');

% we need the list indices of center values
global masterInv;
inv = masterInv{m+1};
center_indices = inv(1:4);
% normalize functions by their (approximate) value at the center
center_values = funs(:,center_indices);
center_means  = mean(center_values');
funs          = diag(center_means) * funs;
