%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% wavePropagatorCenter(times,m)
% 
%   Given a level m and an array of times, find the wave propagator
%   
%     p(x,q0,times)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function answer = wavePropagatorCenter(times,m)

[funs eigvals] = projectionKernelCenter(m);

len    = length(times);
sqrts  = sqrt(eigvals);
answer = zeros(len,3*5^m+1);
f      = zeros(1,3*5^m+1);

for k = 1:len
  f = zeros(1,3*5^m+1);
  for j = 1:length(eigvals)
    if sqrts(j) ~= 0
      f = f + (sin(sqrts(j)*times(k))/sqrts(j))*funs(j,:);
    else
      % if lambda -> 0, then sin(sqrt(lambda)t)/sqrt(lambda) -> t
      f = f + times(k)*funs(j,:);
    end
  end
  answer(k,:)=f;
end

