function [v delta mu k] = diagonal_laplacian(m)

% this is k
k = [ceil(-1/2*3^m):floor(1/2*3^m)];
len = length(k);
disp(max(k))

% now we construct the measure
mu = zeros(1,len);
mu(k==0) = 1/2; % could be wrong
good = mod(k,3) ~= 0;
mu(good) = .5/5^m;
disp(k(find(good)))
for j = 2:m
	good = mod(k,3^j) ~= 0 & mod(k,3^(j-1)) == 0;
	disp(k(find(good)))
	mu(good) = .5/5^(m-j+1);
end

% now we construct the laplacian
% diagonal entries
% mu = (1:len).^(-1)
delta = diag(-2*mu.^(-1));

% boundary terms
delta(1,1) = delta(1,1)/2;
delta(len,len) = delta(len,len)/2;
delta(1,2) = 1/mu(1);
% delta(2,1) = 1/mu(1)
% delta(len-1,len) = 1/mu(len)
delta(len,len-1) = 1/mu(len);

% off diagonal entries
for j=2:len-1
	delta(j,j-1) = 1/mu(j);
	delta(j,j+1) = 1/mu(j);
end

% compute eigenstuffs

[v e] = eig(-delta);
e = diag(e);
[sorted indices] = sort(e);
v = v(:,indices);

disp(sum(mu))
