function z_smooth = weyl(m,n,varargin)

rPoly(n,'save');

% parameter 
alpha = log(4*n-3)/log((4*n-3)*(2*n-1));

% get eigenvalue and multiplicity information
[p w e t] = sequences(m,'fractal');
len = length(e);
eigvals   = e(2:len);
mults = t(2:len);
len   = length(eigvals);

% y(j) = # of eigenvalues <= eigvals(j)
y = cumsum(mults);
z = y./(eigvals.^alpha);

eigvals_smooth = logspace(log10(min(eigvals)),log10(max(eigvals)),10000);
y_smooth = zeros(1,length(eigvals_smooth));
for j = 1:length(eigvals_smooth)
  possible = y(find(eigvals>eigvals_smooth(j),1)-1);
  if ~isempty(possible)
    y_smooth(j) = possible;
  else
    y_smooth(j) = y(length(y));
  end
end
z_smooth = y_smooth./(eigvals_smooth.^alpha);

if ismember('save',varargin) || ismember('plot',varargin)
  p = semilogx(eigvals_smooth,z_smooth,'k-','LineWidth',2);
  ylim([min(z_smooth)-.1,max(z_smooth)+.1]);

  title(sprintf('n=%d, m=%d',n,m));
  xlabel('x');
  ylabel('N(x)/x^{\alpha}');
end

if ismember('save',varargin)
  set(gcf,'Position',[1,1,600,500]);
  set(gcf,'PaperPositionMode','auto');
  name = ['../website/eigvals/weyl/order' num2str(n) 'level' num2str(m)];
  saveas(gcf,name,'png');
end


