function [paths words mults series] = words(m,n)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% rpoly stuff
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
f   = chebyshevT(n)-3*[0 chebyshevT(n-1)];
g   = [0 chebyshevU(n-1)]-[0 0 chebyshevU(n-2)];
h   = [0 chebyshevU(n-1)]-3*[0 0 chebyshevU(n-2)];
r   = [conv(g,h) 0];
r   = r(find(r ~= 0, 1):length(r));
rho = (4*n-3)*(2*n-1);

bad = [4/3];
bad = union(bad,roots(f));
bad = union(bad,roots(g));

interp_len = 100000;
lower = sort(roots(r));
upper = sort(roots(r - [zeros(1,length(r)-1) 4/3]));
x = {};
y = {};
for j = 1:length(r)-1
  y{j} = linspace(lower(j),upper(j),interp_len);
  x{j} = polyval(r,y{j});
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% if m is 0 we don't do much of anything
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if m==0
  answer = [0; 4/3];
  return
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% m == 1 is hard coded
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
words          = ones(2*n,m);
words(:,1)     = 2*floor([1:2*n]/2-1/2)+1;
words(2*n,1)   = 0;

mults      = 1+2*mod([1:2*n]+1,2);
mults(2*n) = 2*(4*n-3)+1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% for subsequent levels
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
for j = 2:m
  len             = size(words,1);
  reverse_indices = len-1:-1:2;
  reverse_len     = len-2;
  words_s         = words(reverse_indices,:);
  mults_s         = mults(reverse_indices);

  new_words = repmat([words; words_s],[n-1,1]);
  new_words = [new_words; words];
  new_words(size(new_words,1),j) = 0;

  new_mults = repmat([mults mults_s],[1,n-1]);
  new_mults = [new_mults mults];
  new_mults(length(new_mults)) = 2*(4*n-3)^j + 1;

  temp = [ones(len,1); 2*ones(reverse_len,1)];
  new_column = temp;
  for k = 1:n-2
    new_column = [new_column; temp+k];
  end
  new_column = [new_column; (2*n-1)*ones(len-1,1); 0];
  new_words(:,j) = new_column;

  words = new_words;
  mults = new_mults;
end

series = 4/3*mod([1:size(words,1)]+1,2);
mults = mults';

input = [series' words];
paths = zeros(size(input));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% make paths
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
for j = 1:size(input,1)
  paths(j,1) = input(j,1);
  for k = 2:size(input,2)
    w = input(j,k);
    if w ~= 0
      paths(j,k) = interp1q(x{w},y{w},paths(j,k-1),interp_len);
    end
  end
end

function answer = interp1q(x,y,z,len)
index = floor(3/4*len*z);
index = max(index,1);
index = min(index,len-1);
% index = find(x>z,1);
slope = (y(index+1)-y(index))/(x(index+1)-x(index));
answer = y(index) + slope * (z-x(index));
