function [paths words mults series] = words(m)

global rPoly_n;
n = rPoly_n;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% if m is 0 we don't do much of anything
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if m==0
  answer = [0; 4/3];
  return
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% m == 1 is hard coded
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
words          = ones(2*n,m);
words(:,1)     = 2*floor([1:2*n]/2-1/2)+1;
words(2*n,1)   = 0;

mults      = 1+2*mod([1:2*n]+1,2);
mults(2*n) = 2*(4*n-3)+1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% for subsequent levels
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
for j = 2:m
  len             = size(words,1);
  reverse_indices = len-1:-1:2;
  reverse_len     = len-2;
  words_s         = words(reverse_indices,:);
  mults_s         = mults(reverse_indices);

  new_words = repmat([words; words_s],[n-1,1]);
  new_words = [new_words; words];
  new_words(size(new_words,1),j) = 0;

  new_mults = repmat([mults mults_s],[1,n-1]);
  new_mults = [new_mults mults];
  new_mults(length(new_mults)) = 2*(4*n-3)^j + 1;

  temp = [ones(len,1); 2*ones(reverse_len,1)];
  new_column = temp;
  for k = 1:n-2
    new_column = [new_column; temp+k];
  end
  new_column = [new_column; (2*n-1)*ones(len-1,1); 0];
  new_words(:,j) = new_column;

  words = new_words;
  mults = new_mults;
end

series = 4/3*mod([1:size(words,1)]+1,2);
mults = mults';

input = [series' words];
paths = word2path(input');
