%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% intervalGap(lower,upper)
% 
%   Given intervals I_j = [lower(j), upper(j)], find any gaps in their union
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function gaps = intervalGap(lower,upper)

% find all endpoints of intervals
% and keep track of which interval they're from
len = length(lower);
points = [lower upper; 1:len 1:len];
[sorted indices] = sort(points(1,:));
points = points(:,indices);

% keep track of whether we're inside each interval
toggle = logical(zeros(1,len));
num_toggled = 0;
gaps = {};

for j=1:2*len
  k = points(2,j);
  toggle(k) = ~toggle(k);
  if toggle(k)
    num_toggled = num_toggled + 1;
  else
    num_toggled = num_toggled - 1;
  end
  if num_toggled == 0 && j ~= 2*len
    gaps{length(gaps)+1} = [points(1,j); points(1,j+1)];
  end
end

gaps = cell2mat(gaps);



