%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ratioGapTest(m,n,splits)
% 
%   Run ratioGapSplit(n,splits), and then test to see what proportion of
%   the ratios of eigenvaluesN_better(m,n) lie in each gap.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = ratioGapTest(m,n,num_splits)

epsilon=.3;
gaps = ratioGapSplit(num_splits,n); % (this calls rPoly)
[paths words eigvals]= sequences(m,'fractal','born-at-0','quiet');

x = ratios(eigvals,n);

answer = zeros(1,size(gaps,2));

for j = 1:size(gaps,2)
  a = gaps(1,j);
  b = gaps(2,j);
  delta = epsilon*(b-a);
  a = a+delta;
  b = b-delta;
  answer(j) = length(x(a<x & x<b));%/length(x);
end

disp([gaps; answer]')
return

len = length(eigvals);
for i = 1:len
  for j = 1:len
    ratio = eigvals(i)/eigvals(j);
    for k = 1:size(gaps,2)
      if gaps(1,k) < ratio && ratio < gaps(2,k)
        % fprintf('\n')
        disp(gaps(1,k))
        disp(gaps(2,k))
        % disp(round(words(:,i)'))
        % disp(round(words(:,j)'))
        disp(min(abs(gaps(:,k)-ratio)))
        fprintf('\n')
      end
    end
  end
end
