%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ratioGapTest(m,n)
% 
%   Run ratioGap(n), and then test to see what proportion of the ratios
%   of eigenvaluesN_better(m,n) lie in each gap.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = ratioGapTest(m,n)

epsilon = 1e-2;
gaps = ratioGap(n)
[paths words eigvals]= sequencesN(m,n,'fractal');

x = ratios(eigvals,n);

answer = zeros(1,size(gaps,2));

for j = 1:size(gaps,2)
  a = gaps(1,j) + epsilon;
  b = gaps(2,j) - epsilon;
  answer(j) = length(x(a<x & x<b))/length(x);
end
