function [X Y y0 y1 e0 e1] = buddies(m)

% words minus first part
tails = ones(m-1,m);
for j = 2:m-1
	tails(j:m-1,j) = 3;
end

% add first part
w0 = [zeros(m-1,1) tails];
w1 = [ones(m-1,1) tails];

% these will be the eigenvalues
y0 = zeros(m-1,1);
y1 = zeros(m-1,1);

% these will be the "errors"
e0 = zeros(1,m-1);
e1 = zeros(1,m-1);

% do everything
for j=1:m-1
	y0(j) = word2eigval(w0(j,:));
	y1(j) = word2eigval(w1(j,:));
	e0(j) = err(y0(j),m-1);
	e1(j) = err(y0(j),m-1);
end
x = 1:m-1;
figure(1);
difference = abs(y0-y1)';
start = 5
X = x(start:length(x));
Y = difference(start:length(difference));
fit = polyfit(X,log(15^m*Y),1);
approx = exp(fit(1)*X+fit(2));
c = exp(fit(2))
r = exp(fit(1))
label = [num2str(c) '*' num2str(r) '^m)'];
return

close
close
hold on
plot(x,15^m*difference,'o');
plot(X,approx,'r');
legend('data',label);
title('Difference between 0-series and 4/3-series eigenvalues with word 13...31...1')
xlabel('index of last 3')
ylabel('difference in fractal eigenvalues')
grid()
hold off

figure(2);
plot(x,e0);
title('Error |R^m(lambda/15^m) - lambda_0| for 0-series eigenfunctions')
xlabel('index of last 3')
ylabel('error')
grid()
