%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% centerHeat(t,m)
% 
%   Plot the values of the heat kernel at the center of the visek set. Faster
%   than constructing the heat kernel and picking out the values.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function answer = centerHeat(t,m,varargin)
[vals eigvals] = centerVals(m);
alpha = log(5)/log(15);
answer = sum(exp(-t'*eigvals)*(vals.^2)',2);
answer = answer.*t.^(alpha)'
semilogx(t,answer,'LineWidth',2);
xlabel('t')
ylabel('t^\alpha h_t(q_0,q_0)')

if ismember('save',varargin)
  set(gcf,'Position',[1,1,600,500]);
  set(gcf,'PaperPositionMode','auto');
  name = ['../website/spectral/center_heat' num2str(m)];
  saveas(gcf,name,'png');
end
