function answer = evenMoreLogHeatError(m)

global functions;
global eigvals;
global masterX;
global masterY;
global X T h
X = masterX{m+1};
Y = masterY{m+1};

% parameters we'll be using
kmax = 100;
t = logspace(-2.5,-2,kmax);
alpha = log(5)/log(15)
beta = log(15)/log(3)
gamma=log(3)/log(5)
betagamma=beta*gamma

% we only want to consider a portion of one diagonal
d = diagonal(m);
len = length(d);
start = floor(len/2);
finish = start+floor(len/10);
center = d(start+1);
d = d(start+2:finish);
len = length(d);

% our domain (we're doing loglog plots)
x = X(d);

% our heat kernel values
h = heatKernelCenter(t,m);

% actually we want to restrict to diagonals and then
% do some log stuff 
temp = zeros(kmax,len);
for k = 1:kmax
  f = h(k,:);
  c = f(center);
  f = f(d);
  f = f/c;
  f = -log(f);
  temp(k,:) = f;
end
h = temp;
g = (t').^gamma*abs(x').^(-betagamma);
g = g.*h;
[c,h] = contour(x,t,g,15);
clabel(c,h);
colormap(gray);
colorbar;
answer = g;


