%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% heatKernelTrace(m)
% 
%   Make a plot of sum(exp(-lambda_j*t)). Faster than constructing the
%   whole heat kernel. Optionally, save this file in the website folder.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function h = heatKernelTrace(t,m,varargin)
[p w eigvals mults] = sequences(m,'fractal','quiet');
alpha = log(5)/log(15);
array = mults*exp(-eigvals'*t);
h = t.^alpha .* sum(array, 1);
semilogx(t, h, 'LineWidth', 2);
xlabel('t');
ylabel('t^\alpha h(t)');
title('Trace of the heat kernel')

if ismember('save',varargin)
  set(gcf,'Position',[1,1,600,500]);
  set(gcf,'PaperPositionMode','auto');
  name = ['../website/spectral/heat_kernel_trace' num2str(m)];
  saveas(gcf,name,'png');
end
