% manipulate the heat kernel information on the diagonal
% to try and estimate various parameters
function answer = logHeatError(m)
global functions;
global eigvals;
global masterX;
global masterY;
global X T h
X = masterX{m+1};
Y = masterY{m+1};

% parameters we'll be using
kmax = 10;
t = logspace(-4,-2,kmax);
alpha = log(5)/log(15)
beta = log(15)/log(3)
gamma=log(3)/log(5)
betagamma=beta*gamma

% we only want to consider a portion of one diagonal
d = diagonal(m);
len = length(d);
start = floor(len/2);
finish = start+floor(len/10);
center = d(start+1);
d = d(start+2:finish);
len = length(d);

% our domain (we're doing loglog plots)
x = sqrt(2)*X(d);

% our heat kernel values
h = heatKernelCenter(t,m);

% actually we want to restrict to diagonals and then
% do some log stuff 
a = zeros(kmax,len);
for k = 1:kmax
  f = h(k,:);
  c = f(center);
  f = f(d);
  f = f/c;
  f = -log(f);
  f = log(f);
  a(k,:) = f;
end
h = a;
[X,T] = meshgrid(x,t);
g = linspace(0,5,60);
b = linspace(0,5,60);
[g b] = meshgrid(g,b);
answer = fminsearch(@getError,[1,1]);
p = zeros(size(g));
for j = 1:numel(g)
  p(j) = getError([g(j),b(j)]);
end
[c,h] = contour(g,b,p,10);
clabel(c,h);
colorbar;
colormap(gray);
  
end

function answer = getError(z)
global X T h
gamma = z(1);
betagamma = z(2);
approx = betagamma*log(X)-gamma*log(T);
answer = h-approx;
answer = answer-mean(mean(answer));
answer = abs(answer);
% answer = sum(sum(answer));
answer = max(max(answer));
end

