% manipulate the heat kernel information on the diagonal
% to try and estimate various parameters
function M = plotLogHeat(m)
global functions;
global eigvals;
global masterX;
global masterY;
X = masterX{m+1};
Y = masterY{m+1};

% parameters we'll be using
kmax = 100;
t = logspace(-4,-2,kmax);
alpha = log(5)/log(15)
beta = log(15)/log(3)
gamma=log(3)/log(5)
betagamma=beta*gamma

% we only want to consider a portion of one diagonal
d = diagonal(m);
len = length(d);
start = floor(len/2);
finish = start+floor(len/5);
center = d(start+1);
d = d(start+2:finish);
len = length(d)

% our heat kernel values
h = heatKernelCenter(t,m);

% our domain (we're doing loglog plots)
x = X(d);
x = log(x);

% make our first plot
f = h(kmax,:);
c = f(center);
f = f(d);
f = abs(f/c);
f = -log(f);
f = log(f);
title(num2str(t(1)));
p =plot(x,f);
v = axis;

% make the following plots
for k = 2:kmax
  f = h(k,:);
  c = f(center);
  f = f(d);
  f = abs(f/c);
  f = -log(f);
  f = log(f);
  title(num2str(t(k)));
%   axis(v);
  set(p,'YData',f);
%   M(k-1) = getframe;
  drawnow;
  slope = polyfit(x,f',1);
  disp(slope(1));
end
% movie(M);

a = zeros(kmax,len);
for k = 1:kmax
  f = h(k,:);
  c = f(center);
  f = f(d);
  f = abs(f/c);
  f = -log(f);
  f = log(abs(f));
  a(k,:) = f;
end
data1 = log(t);
data2 = a(:,15);
time_slope = polyfit(data1,data2',1);
disp(time_slope(1));
plot(data1,data2);
