% manipulate the heat kernel information on the diagonal
% to try and estimate various parameters
function answer = plotMoreHeatError(m)
global functions;
global masterInv;
global eigvals;
global masterX;
global masterY;
global X T h
X = masterX{m+1};
Y = masterY{m+1};
inv = masterInv{m+1};

% parameters we'll be using
kmax = 100;
t = logspace(-3.5,-3,kmax);
alpha = log(5)/log(15)
beta = log(15)/log(3)
gamma=log(3)/log(5)
% betagamma=beta*gamma

% we'll need the center point
center = inv(1);
centers = inv(1:4);
len = 3*5^m+1;

% our domain (we're doing loglog plots)
x = distances(m);

% our heat kernel values
h = heatKernelCenter(t,m);

% actually we want to restrict to diagonals and then
% do some log stuff 
a = zeros(kmax,len);
for k = 1:kmax
  f = h(k,:);
  c = f(center);
  f = abs(f/c);
  f(centers) = 2;
  f = -log(f);
  f(centers) = 2;
  f = log(abs(f));
  f(centers) = f(inv(4)+1);
  a(k,:) = f;
end
h = a;
[X,T] = meshgrid(x,t);
answer = fminsearch(@getError,[1,1]);
disp(answer)
gamma = answer(1);
betagamma = answer(2);
approx = betagamma*log(X)-gamma*log(T);
answer = h-approx;
end

function answer = getError(z)
global X T h
gamma = z(1);
betagamma = z(2);
approx = betagamma*log(X)-gamma*log(T);
answer = h-approx;
% answer = answer-mean(mean(answer));
answer = abs(answer);
% answer = sum(sum(answer));
answer = max(max(answer));
end

