%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% norms(m,lambda_0)
% 
%   Plot norm(f) vs. eigenvalue(f) for function f in the lambda_0-series
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [L4_norm words] = norms(m,lambda_0)

[f e] = eigenfunctions(m,lambda_0,'fractal');
[paths words] = sequences(m,lambda_0);

sup_norm = max(abs(f),[],2);
L4_norm  = integrate(f.^4,m).^(1/4);
% disp(max(L4_norm));


figure;
% subplot(2,1,1);
% plot(e,sup_norm,'.');
% disp(min(sup_norm));
% ylabel('sup norm');
% xlabel('eigenvalue');
% title(['level ' num2str(m) ', ' num2str(lambda_0,3) ' series']);
% grid();

% subplot(2,1,2);
plot(e,L4_norm,'.');
ylabel('L_4 norm');
xlabel('eigenvalue');
title(['level ' num2str(m) ', ' num2str(lambda_0,3) ' series']);
grid();
