function counting(m,n,varargin)

rPoly(n,'save');

% get eigenvalue and multiplicity information
[p w e t] = sequences(m,'fractal');
len = length(e);
eigvals   = e(2:len);
mults = t(2:len);
len   = length(eigvals);

% eigvals = 1:5;
% mults = ones(1,length(eigvals));

% y(j) = # of eigenvalues <= eigvals(j)
y = cumsum(mults);

disp(max(eigvals))
eigvals_smooth = linspace(min(eigvals),max(eigvals),10000);
y_smooth = zeros(1,length(eigvals_smooth));
for j = 1:length(eigvals_smooth)
  possible = y(find(eigvals>eigvals_smooth(j),1)-1);
  if ~isempty(possible)
    y_smooth(j) = possible;
  else
    y_smooth(j) = y(length(y));
  end
end

p = plot(eigvals_smooth,y_smooth,'k-','LineWidth',2);
ylim([min(y_smooth)-.03*max(y_smooth),(1.03)*max(y_smooth)]);

title(sprintf('n=%d, m=%d',n,m));
xlabel('x');
ylabel('N(x)');
grid;

if ismember('save',varargin)
  set(gcf,'Position',[1,1,600,500]);
  set(gcf,'PaperPositionMode','auto');
  name = ['../website/eigvals/counting/order' num2str(n) 'level' num2str(m)];
  saveas(gcf,name,'png');
end


