%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plotBetter(N,m,k)
% 
% 	For n = 2,3,...,N plot the mth level approximation to the kth
% 	eigenfunction along the diagonal 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function plotBetter(n_range,m,k)

hold all
labels = {};
for j=1:length(n_range)
  set(gcf,'PaperPositionMode','auto');
	n = n_range(j);
	[p, w] = getSmallPathsN(m,n);
	path = p(:,k);
	f = path2funN(path,n);
	len = length(f);
	range = (1:len)/len;
	plot(range,f,'linewidth',2);
	labels{length(labels)+1} = ['n =' num2str(n)];
end
grid;
legend(labels{:},'location','SouthEast');

	
