%extends a 4/3-eigenfunction from the diagonal of one square to an entire
%half-diagonal.
function x = diagFourThirds(m)

global masterX;
global masterY;

X = masterX{m+1};
Y = masterY{m+1};

%set up an empty array
x = zeros(1, (3^(m-1) + 1)/2 -1);
%fill in the diagonal of one square
y = getPaths(m);
%pick an arbitrary 4/3-eigenfunction; on level 3, for example, the 16th entry
%in getPaths is a 4/3-eigenfunction.
z = y(:, 16);
%fill in the diagonal with this eigenfunction.
w = path2fun(z);
w = w(diagonal(m));
v = w(2*3^(m-1) + 2: 3^m + 1);

%Knowing this, fill in the remainder of the half-diagonal.
for i = 1: (3^(m-1) +1)/2 -1
    % R is reflection over the vertex of the square.
    R = (3^(m-1)+1)/2 - i 
    %S is a shift.
   S = i + floor(length(v)/2)
   % The difference gives the value of x.
    x(i) = v(S ) - v(R);
end

%Concatenate our new values x with our old values v.
x = [x v];
w