%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% printRestriction(m)
% 
%   Print out a text reprentation of the functions returned by
%   restrictionInverse(m)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function printRestriction(m)
global masterList;
x = restrictionInverse(m);
list = masterList{m+1};
a = arm(m);
for j = 1:size(x,2)
  f = x(:,j);
  indices_plus_one  = find(f ==  1);
  indices_minus_one = find(f == -1);
  indices_plus_two  = find(f ==  2);
  indices_minus_two = find(f == -2);
  indices_plus_one  = filter(indices_plus_one, m);
  indices_minus_one = filter(indices_minus_one,m);
  indices_plus_two  = filter(indices_plus_two, m);
  indices_minus_two = filter(indices_minus_two,m);
  fprintf('%s\n', arrayLabels(list(a(j)),m));
  fprintf('+1: %s\n', arrayLabels(indices_plus_one, m));
  fprintf('-1: %s\n', arrayLabels(indices_minus_one,m));
  fprintf('+2: %s\n', arrayLabels(indices_plus_two, m));
  fprintf('-2: %s\n\n', arrayLabels(indices_minus_two,m));
end

% given list indices, return the corresponding list values
% on the first arm
function answer = filter(indices,m)

global masterList
list = masterList{m+1};

answer = [];
for j = 1:length(indices)
  x = list(indices(j));
  array = num2array(x,m);
  if array(1) == 2 || (array(1) == 0 && array(2) == 2)
    answer = [answer x];
  end
end
