%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% restrictionInverse(m)
% 
%   Return an array answer such that answer(:,j) is the function in the
%   span of the 0-series (on V_m) whose values on an arm are all 0
%   except for a 1 in the jth position.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = restrictionInverse(m)
f = eigenfunctions(m,'0-series');
a = arm(m);
g = f(:,a);
g = inv(g');
answer = round(f'*g);
