function testNorms(m,lambda_0,do_refine)

[f ef] = eigenfunctions(m,lambda_0);
[g eg] = eigenfunctions(m-1,lambda_0);

if do_refine
  ef = refine(ef,10);
  eg = refine(eg,10);
end

ef = 15^m*ef;
eg = 15^(m-1)*eg;

L4_norm_f  = integrate(f.^4,m).^(1/4);
L4_norm_g  = integrate(g.^4,m-1).^(1/4);
d = 1:length(eg);

figure;
plot(ef,L4_norm_f,'o',eg,L4_norm_g,'+');
xlim([1,1.2*max(eg)]);
legend('mth order','(m-1)th order');
ylabel('L_4 norm');
xlabel('eigenvalue');
legend();
grid();
