%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% diagonal(m)
% 
%   Return indices in makeList(m) of points on the diagonal.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function indices = diagonal(m)
global masterX;
global masterY;

X = masterX{m+1};
Y = masterY{m+1};

on_diagonal = find(X==Y);  % these are the points on the main diagonal
domain = X(on_diagonal);   % these are our domain values

% now we sort them, and return the indices used
[sorted indices] = sort(domain);
indices = on_diagonal(indices);
