%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% expand(f)
% 
%   If f is a function on V_m and
% 
%     eigfuns = eigenfunctions(m)
% 
%   then alpha is an array such that
% 
%     alpha(i) = integrate(f.*eigfuns(i))^(1/2)
% 
%   Additional arguments get passed to sequences.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function alpha = expand(f,varargin)

m = len2level(length(f));
eigfuns = eigenfunctions(m,varargin);
len = size(eigfuns,1);
alpha = integrate(repmat(f,len,1).*eigfuns);

test = sum(alpha'*eigfuns,1);
fprintf('L2 error: %f\n',sqrt(norm2(test-f)));

