%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% laplacian(f,m)
% 
%   Return the graph laplacaian of f, viewed as a function on VS_m. If m
%   is not specified, pick the biggest one.
% 
%   Note: this is obviously a slow implementation, but right now we don't
%   need this to be fast.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function answer = laplacian(f,m)

if nargin == 1
  m = len2level(length(f));
end

global masterList
global masterInv
list = masterList{m+1};
inv = masterInv{m+1};

len = 3*5^m+1;  % f(1:len) determines its values on V_m
answer = zeros(1,len);

for j = 1:len
  name = list(j);
  % laplacian(f)(x) = f(x) - average(f(y), y~x)
  answer(j) = f(j)-mean(f(inv(neighbors(name,m))));
end
